org.gnome.gtk

## Class SeparatorToolItem

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.ToolItem
              - - org.gnome.gtk.SeparatorToolItem

- All Implemented Interfaces:
    Activatable

      public class SeparatorToolItem
      extends ToolItem

  A separator between groups of related ToolItems in a Toolbar.

  A SeparatorToolItem usually appears as a vertical line, and is used to create a visual distinction between logically related items in a Toolbar.

  Somewhat unusually, a SeparatorToolItem can be used to force align other ToolItems at the right of the Toolbar by adding one with `setDraw(false)` and `setExpand(true)` between the two "sides".

  Since:
    4.0.4
  Author:
    Vreixo Formoso, Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeparatorToolItem()` Creates a new SeparatorToolItem.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDraw()` Is the separator being displayed as a vertical line, or is it just blank?
    `void` | `setDraw(boolean draw)` Set whether the separator will display a vertical line.

    - ### Methods inherited from class org.gnome.gtk.ToolItem

      `getExpand, getRelatedAction, setExpand, setIsImportant, setRelatedAction`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeparatorToolItem

          public SeparatorToolItem()

      Creates a new SeparatorToolItem.

  - ### Method Detail

    - #### getDraw

          public boolean getDraw()

      Is the separator being displayed as a vertical line, or is it just blank?

    - #### setDraw

          public void setDraw(boolean draw)

      Set whether the separator will display a vertical line. SeparatorToolItems have the curious property that you can tell them not to present themselves in an obtrusive manner while still carrying out their spacing function.